Wan 3.0 Text to Video
Integrar
alibaba/wan-3.0/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/alibaba/wan-3.0/text-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/alibaba/wan-3.0/text-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/alibaba/wan-3.0/text-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/pt-PT/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "alibaba/wan-3.0/text-to-video",
"input": {
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}
}
Chame o modelo Wan 3.0 Text to Video (alibaba/wan-3.0/text-to-video) através da Doitong API. Documentação para agentes: https://doitong.com/pt-PT/developers/models/alibaba/wan-3.0/text-to-video.md
POST https://api.doitong.com/v1/run/alibaba/wan-3.0/text-to-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}
Se o estado da resposta for "queued" ou "running", consulte GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 repetidamente até ficar "succeeded"; os ficheiros estão em outputs[].url. POST https://api.doitong.com/v1/quote/alibaba/wan-3.0/text-to-video com o mesmo corpo devolve o preço exato antes da execução.
Este pedido: 0,25 $ 250 créditos da API Executar nesta página
A sua nova chave de API. É apresentada apenas agora e já está inserida no código e no campo da chave de API abaixo. Mantenha-a secreta: nunca a coloque em código que seja executado num navegador.
Exemplos
Criar um pedido
Os controlos são gerados a partir do esquema do modelo. O código e o preço são atualizados à medida que os altera.
/run/alibaba/wan-3.0/text-to-video?wait=20
cotação → 0,25 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/alibaba/wan-3.0/text-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/alibaba/wan-3.0/text-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/alibaba/wan-3.0/text-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "alibaba/wan-3.0/text-to-video",
"input": {
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
},
"wait_seconds": 20
}
}
}
Executar este pedido
A sua chave permanece neste navegador: é enviada apenas para a Doitong API e guardada em localStorage apenas se selecionar Lembrar. Obter uma chave de API
Criado na Doitong
Trabalhos públicos criados com Wan 3.0 pela comunidade Doitong. Reutilize um prompt com um clique.
Vídeo
Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...
Vídeo
Реалистичная бытовая сцена в советской одесской квартире зимним вечером. Женщина находится на кухне, мужчина — в комнате и прихожей. Атмосфера обычной советской семьи перед приходом гостей. Голоса: все персонажи говорят по-русски с естественным, выразительным одесским говором. Характерная...
Sobre Wan 3.0 Text to Video
Wan 3.0 renderiza planos longos e coerentes a partir de um prompt, de 2 até 30 segundos, com som gerado por predefinição. Uma etapa de raciocínio opcional planeia cenas complexas e a expansão do prompt está ativada por predefinição. 480p, 720p ou 1080p em seis proporções, ou enquadramento adaptativo.
Parâmetros
Envie o nome canónico ou o nome nativo, não ambos. Nomes canónicos
promptobrigatório
resolutionopcional
aspect_ratioopcional
durationopcional
audioopcional
generate_audio
enable_prompt_expansionopcional
enable_thinkingopcional
seedopcional
Resultado
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "alibaba/wan-3.0/text-to-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 250,
"usd": "0.25",
"charged": 250,
"refunded": 0
},
"input": {
"prompt": "A red panda walks through a bamboo forest at sunrise, mist between the stalks, gentle handheld camera",
"duration": 5,
"resolution": "720p"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200,
"width": 1024,
"height": 768,
"fps": 1.0,
"duration": 5,
"num_frames": 1
},
"seed": 42,
"duration": 5,
"actual_prompt": "string"
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Campos do resultado
- video
- object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Ficheiro de vídeo produzido pela geração.
- seed
- integerValor da seed aplicado durante a geração.
- duration
- numberDuração do vídeo gerado, medida em segundos.
- actual_prompt
- string | null
Outras variantes de Wan 3.0
Mais modelos: Texto para vídeo
Para agentes de IA: esta página em Markdown está disponível em https://doitong.com/pt-PT/developers/models/alibaba/wan-3.0/text-to-video.md. Todos os modelos e guias: https://doitong.com/developers/llms.txt